BlockEvents.rightClicked(event => {
  if (
    event.block.id === 'minecraft:smithing_table' &&
    event.item.id === 'forbidden_arcanus:mundabitur_dust'
  ) {
    event.block.set('forbidden_arcanus:hephaestus_forge')
    const pos = event.block.pos
    const x = pos.x
    const y = pos.y
    const z = pos.z

    // Joue un son entendu par tous les joueurs
    event.player.runCommand(`playsound minecraft:entity.evoker.prepare_attack master @a ${x} ${y} ${z} 3 1`)

    event.item.count--

    event.cancel() // Optionnel : empêche le comportement normal du clic droit
  }
})